Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.webdav.xml
Class DAVBody

    java.lang.Object
      |
      +--org.w3c.www.webdav.xml.DAVBody

public class DAVBody
extends java.lang.Object
implements org.xml.sax.ErrorHandler

Field Summary
`protected org.w3c.dom.Document` | `document`
`protected static org.w3c.dom.DOMImplementation` | `domimpl`
`protected static org.apache.xerces.parsers.DOMParser` | `parser`

Constructor Summary
`DAVBody(java.io.InputStream in)` Constructor

Method Summary
`static org.w3c.dom.Document` | `createDocument(java.lang.String root)`
`static org.w3c.dom.Document` | `createDocumentNS(java.lang.String root, java.lang.String ns, java.lang.String prefix)`
`void` | `error(org.xml.sax.SAXParseException ex)` Error.
`void` | `fatalError(org.xml.sax.SAXParseException ex)` Fatal error.
`DAVActiveLock` | `getActiveLock()`
`static org.w3c.dom.Document` | `getDocument(java.io.InputStream in, org.xml.sax.ErrorHandler handler)`
`DAVLockInfo` | `getLockInfo()`
`DAVMultiStatus` | `getMultiStatus()`
`DAVPropertyBehavior` | `getPropertyBehavior()`
`DAVPropertyUpdate` | `getPropertyUpdate()`
`DAVPropFind` | `getPropFind()`
`void` | `warning(org.xml.sax.SAXParseException ex)` Warning

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parser

    protected static org.apache.xerces.parsers.DOMParser parser

### domimpl

    protected static org.w3c.dom.DOMImplementation domimpl

### document

    protected org.w3c.dom.Document document

Constructor Detail

### DAVBody

    public DAVBody(java.io.InputStream in)
            throws java.io.IOException,
                   org.xml.sax.SAXException

  Constructor

Method Detail

### getDocument

    public static org.w3c.dom.Document getDocument(java.io.InputStream in,
                                                   org.xml.sax.ErrorHandler handler)
                                            throws java.io.IOException,
                                                   org.xml.sax.SAXException

### getMultiStatus

    public DAVMultiStatus getMultiStatus()

### getPropertyBehavior

    public DAVPropertyBehavior getPropertyBehavior()

### getPropertyUpdate

    public DAVPropertyUpdate getPropertyUpdate()

### getPropFind

    public DAVPropFind getPropFind()

### getActiveLock

    public DAVActiveLock getActiveLock()

### getLockInfo

    public DAVLockInfo getLockInfo()

### createDocument

    public static org.w3c.dom.Document createDocument(java.lang.String root)

### createDocumentNS

    public static org.w3c.dom.Document createDocumentNS(java.lang.String root,
                                                        java.lang.String ns,
                                                        java.lang.String prefix)

### warning

    public void warning(org.xml.sax.SAXParseException ex)

  Warning
  Specified by:
    warning in interface org.xml.sax.ErrorHandler

### error

    public void error(org.xml.sax.SAXParseException ex)

  Error.
  Specified by:
    error in interface org.xml.sax.ErrorHandler

### fatalError

    public void fatalError(org.xml.sax.SAXParseException ex)
                    throws org.xml.sax.SAXException

  Fatal error.
  Specified by:
    fatalError in interface org.xml.sax.ErrorHandler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD